<?php
/***************************************************************************
 *                               db_update_total.php
 *                            -------------------
 *
 *   MOD Author           : 2008 Zlodey
 *   project              : A totalizator mod for phpBB2
 *   Website              : http://zlodey-totalz.freeweb7.com/
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('IN_PHPBB', true);
$phpbb_root_path = './';
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.'.$phpEx);

//
// Start session management
//
$userdata = session_pagestart($user_ip, PAGE_INDEX);
init_userprefs($userdata);
//
// End session management
//

if (isset($_REQUEST['delete'])){
	$delete=intval($_REQUEST['delete']);
	$param="?delete=$delete";
}

$db_update_name="db_update_total.php"; 

if( !$userdata['session_logged_in'] )
{
	redirect(append_sid($phpbb_root_path . "login.$phpEx?redirect=$db_update_name".$param));
	exit;
}

if( $userdata['user_level'] != ADMIN )
{
	message_die(GENERAL_ERROR, '    ');
}

if ($delete != 1){
	$gen_simple_header = TRUE;
	$page_title = $board_config['sitename'].' -    ';
	include($phpbb_root_path . 'includes/page_header.'.$phpEx);
	echo '<table width="100%" cellspacing="1" cellpadding="2" border="0" class="forumline">';
	echo '<tr><th>  </th></tr><tr><td class="row1"><span class="gen"><ul type="circle">';
	$sql = array();
	$sql[] = "DROP TABLE IF EXISTS " . $table_prefix . "totalz_config";
$sql[] = "CREATE TABLE `" . $table_prefix . "totalz_config` (  `config_name` varchar(32) NOT NULL default '',  `config_value` varchar(16) NOT NULL default '',  PRIMARY KEY  (`config_name`))";
$sql[] = "INSERT INTO `" . $table_prefix . "totalz_config` ( `config_name` , `config_value` ) VALUES ('stavka_min', '100')";
$sql[] = "INSERT INTO `" . $table_prefix . "totalz_config` ( `config_name` , `config_value` ) VALUES ('stavka_max', '2000')";
$sql[] = "INSERT INTO `" . $table_prefix . "totalz_config` ( `config_name` , `config_value` ) VALUES ('nalog', '10')";
$sql[] = "INSERT INTO `" . $table_prefix . "totalz_config` ( `config_name` , `config_value` ) VALUES ('numb_active', '10')";
$sql[] = "INSERT INTO `" . $table_prefix . "totalz_config` ( `config_name` , `config_value` ) VALUES ('numb_vars', '5')";
$sql[] = "INSERT INTO `" . $table_prefix . "totalz_config` ( `config_name` , `config_value` ) VALUES ('max_time', '180')";
$sql[] = "INSERT INTO `" . $table_prefix . "totalz_config` ( `config_name` , `config_value` ) VALUES ('time_active_min', '24')";
$sql[] = "INSERT INTO `" . $table_prefix . "totalz_config` ( `config_name` , `config_value` ) VALUES ('time_block', '48')";
$sql[] = "INSERT INTO `" . $table_prefix . "totalz_config` ( `config_name` , `config_value` ) VALUES ('type_stavka_view', '2')";
$sql[] = "INSERT INTO `" . $table_prefix . "totalz_config` ( `config_name` , `config_value` ) VALUES ('type_ras_admin', '2')";
$sql[] = "INSERT INTO `" . $table_prefix . "totalz_config` ( `config_name` , `config_value` ) VALUES ('autor_close', '0')";
$sql[] = "INSERT INTO `" . $table_prefix . "totalz_config` ( `config_name` , `config_value` ) VALUES ('user_admin', '0')";
$sql[] = "INSERT INTO `" . $table_prefix . "totalz_config` ( `config_name` , `config_value` ) VALUES ('koeff0', '1.25')";
$sql[] = "INSERT INTO `" . $table_prefix . "totalz_config` ( `config_name` , `config_value` ) VALUES ('topic', '0')";
$sql[] = "INSERT INTO `" . $table_prefix . "totalz_config` ( `config_name` , `config_value` ) VALUES ('c1', '0')";
$sql[] = "INSERT INTO `" . $table_prefix . "totalz_config` ( `config_name` , `config_value` ) VALUES ('c2', '0')";
$sql[] = "INSERT INTO `" . $table_prefix . "totalz_config` ( `config_name` , `config_value` ) VALUES ('c3', '0')";
$sql[] = "DROP TABLE IF EXISTS " . $table_prefix . "totalz_desc";
$sql[] = "CREATE TABLE `" . $table_prefix . "totalz_desc` (  `sob_id` SMALLINT(4) unsigned NOT NULL auto_increment,  `user_id` mediumint(5) unsigned NOT NULL default '0',  `sobytie_text` varchar(255) NOT NULL,  `subscr` varchar(255) NOT NULL,  `numbs_vars` TINYINT(2) unsigned NOT NULL default '0',  `date_start` INT(11) unsigned NOT NULL default '0',  `date_end` INT(11) unsigned NOT NULL default '0',  `real_ishod` TINYINT(2) unsigned NOT NULL default '0',  `is_active` TINYINT(1) unsigned NOT NULL default '1',  `type_ras` TINYINT(1) unsigned NOT NULL default '2',  `create_topic` TINYINT(1) unsigned NOT NULL default '0',  `d1` TINYINT(2) unsigned NOT NULL default '0',  `d2` TINYINT(2) unsigned NOT NULL default '0',  PRIMARY KEY  (`sob_id`))";
$sql[] = "DROP TABLE IF EXISTS " . $table_prefix . "totalz_results";
$sql[] = "CREATE TABLE `" . $table_prefix . "totalz_results` (  `sob_id` SMALLINT(4) unsigned NOT NULL default '0',  `ishod_id` TINYINT(2) unsigned NOT NULL default '0',  `ishod_text` varchar(255) NOT NULL,  `ishod_users` text NOT NULL,  `ishod_bablos` text NOT NULL,  `ishod_bablos_k` text NOT NULL,  `numb_ishod_users` mediumint(5) unsigned NOT NULL default '0',  `sum_ishod_bablos` mediumint(8) unsigned NOT NULL default '0',  `r1` varchar(255) NOT NULL,  `r2` INT(11) unsigned NOT NULL default '0',  KEY `ishod_id` (`ishod_id`),  KEY `sob_id` (`sob_id`))";
	
	for( $i = 0; $i < count($sql); $i++ )
	{
		if( !$db->sql_query($sql[$i]) )
		{
			$error = $db->sql_error();
			echo '<li>' . $sql[$i] . '<br />+++ <b style="color:#FF0000">:</b> ' . $error['message'] . '</li><br />';
		}
		else
		{
			echo '<li>' . $sql[$i] . '<br />+++ <b style="color:#00AA00"></b></li><br />';
		}
	}
	echo '</ul></span><br /></td></tr>';
	echo '<tr><th></th></tr><tr><td class="row1"><span class="gen"><b>      .</b><br />      ,  <a href="http://forum.aeroion.ru/forum1.html" target="_aeroion">forum.aeroion.ru</a>  .</span>';
	echo '<br /><br><div align="center">';
	echo '<form action="'.$db_update_name.'" method="POST">';
	echo '<input type="hidden" name="delete" value="1">';
	echo '<input type="submit" name="submit" value=" ' .$db_update_name. '  " class="mainoption">';
	echo '</form><br /></div></td></tr>';
	echo '<tr><td class="catBottom" height="28" align="center"><span class="genmed"><a href="' . append_sid("index.$phpEx") . '">'.$board_config['sitename'].'</a></span></td></tr>';
	echo '</table>';
	include($phpbb_root_path . 'includes/page_tail.'.$phpEx);
}
else
{
	if (!@unlink($db_update_name))
	{
		$message = '<br />+++ <b style="color:#FF0000">:</b>    ' . $db_update_name;
		$message .= '<br /><br /><span class="genmed"><a href="' . append_sid("index.$phpEx") . '">' . $board_config['sitename'] . '</a></span>';
		message_die(GENERAL_ERROR, $message);
	}
	else
	{
		$message = '<br />+++ <b style="color:#00AA00">' . $db_update_name . '  </b>';
		$message .= '<br /><br /><span class="genmed"><a href="' . append_sid("index.$phpEx") . '">' . $board_config['sitename'] . '</a></span>';
		message_die(GENERAL_MESSAGE, $message);
	}		
}
?>